# Poco::Prometheus

# class CounterSample

Library: Prometheus
Package: Core
Header: Poco/Prometheus/Counter.h

## Member Summary

Member Functions: inc, timestamp, value

## Constructors

### CounterSample

CounterSample() = default;

Creates the CounterSample.

## Destructor

### ~CounterSample

~CounterSample() = default;

Destroys the CounterSample.

## Member Functions

### inc

void inc(
double v = 1.0
);

Increments the counter's current value.

### timestamp

Poco::Timestamp timestamp() const;

Returns the sample's timestamp, which in this implementation is always 0.

### value

double value() const;

Returns the counter's current value.